<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <OutputType>Exe</OutputType>
        <TargetFramework>net9.0</TargetFramework>
        <ImplicitUsings>enable</ImplicitUsings>
        <Nullable>enable</Nullable>
      <UserSecretsId>1b52b18b-7bc0-42c6-954d-66a14caabe37</UserSecretsId>
  </PropertyGroup>

    <ItemGroup>
      <PackageReference Include="Microsoft.Extensions.Configuration" Version="10.0.2" />
      <PackageReference Include="Microsoft.Extensions.Configuration.Json" Version="10.0.2" />
      <PackageReference Include="Microsoft.Extensions.Configuration.UserSecrets" Version="10.0.2" />
      <PackageReference Include="Polly" Version="8.6.5" />
      <PackageReference Include="System.Text.Json" Version="10.0.2" />
    </ItemGroup>

    <ItemGroup>
      <None Update="appsettings.json">
        <CopyToOutputDirectory>Always</CopyToOutputDirectory>
      </None>
    </ItemGroup>

</Project>
